%define srcname xf86-video-sis
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-sis
Version: 0.9.3
Release: alt1
Serial: 1
Summary: SiS and XGI video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: sis.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-sis xorg-x11-extensions-glx
Provides: x11-driver-sis

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
sis is an Xorg driver for SiS (Silicon Integrated  Systems)
and XGI video chips. The driver is accelerated and provides support for
colordepths of 8, 16 and 24 bpp. XVideo, Render  and  other  extensions
are supported as well.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/sis.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.3-alt1
- 0.9.3

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.2-alt2
- added videoaliases file from RH

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.2-alt1
- 0.9.2

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.1-alt4
- build for i586 and x86_64

* Wed Aug 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.1-alt3
- build for i586 only

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.1-alt2
- requires xorg-x11-server >= 1.0.99.901

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.1-alt1
- 0.9.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.1-alt0.1
- initial release

